{% extends "base.html" %}
{% load static %}
{% block titulo %}
  .::Cuentas de Cierre
{% endblock titulo %}
{% block content1 %}

       <link href="{% static 'bootstrap-editable/css/bootstrap-editable.css' %}" rel="stylesheet"/>
     <script src="{% static 'bootstrap-editable/js/bootstrap-editable.min.js' %}"></script>
     <style type="text/css">
      .clickedit{
        width: 70%;
        border-style: none;
        background-color: transparent;
        text-align: center;
      }

      .clickedit:hover {
          background-color: #fff;
          border-radius: 4px;
          border-style: groove;
      }

      .clickedit:focus {
          background-color: #fff;
          border-radius: 4px;
          border-style: groove;
      }

     </style>

      <script type="text/javascript"> 
      $("#navMaterial").attr('class','dropdown active');
        $("#navCuentasClientesCompra").attr('class','active');
      </script> 
      
          <div class="col-md-12 fondx">
              <div class="card fondxy">
                <div class="card-head card-head-xs style-default"> <strong>RESUMEN DE CUENTA CIERRE</strong></div>
                <div class="card-body ">
                  
                  <div class="row">
                  <div class="col-md-6">
                   <div class="col-md-4 col-md-offset-1">
                      <h5>Lote / Fecha / Cliente :</h5>
                    </div>
                     <div class="col-md-7">
                       <div class="fg-line">
                          <div class="select">
                          <select class="form-control" id="comboFiltro"> 
                            <option value="-1">Seleccione un cierre</option> 
                          </select>
                          </div>
                          </div>
                      </div>
                  </div>
                  <div class="col-md-6"> 
                      <div class="col-md-7">
                        <div class="fg-line">
                        <input type="text" name="filtro" class="form-control" id="filtro" placeholder="Por DNI, Cliente">
                        </div>
                      </div> 
                       <div class="col-md-3">
                          <button type="button" id="btnFiltrar" class="btn btn-success">
                              <i class="fa fa-search"></i>
                               Buscar
                          </button>
                      </div> 
                  </div>
                  </div>
                  <br> 
                  <div class="row" >
                     <div class="col-md-12">
                      <h4 class="alert alert-default hidden" align="center" id="textClient">
                      </h4>
                    </div>
                  </div>

                   <div id="modal_confirmacion1" class="modal fade" data-backdrop="static" data-keyboard="false" tabindex="-1" role="dialog" aria-hidden="true">
                            <div class="modal-dialog">
                              <div class="modal-content">
                                
                                <div class="modal-body alert "role="alert">
                                  <div class="row">
                                    <div class="col-md-12">
                                      <div class="row grp_alr1" align="center">
                                        <h3 >Se eliminará el cierre permanentemente. ¿Desea Continuar?</h3>
                                      </div>
                                      
                                      <div class="row grp_pgs1" align="center" hidden>
                                          <h3>PROCESANDO...</h3>
                                      </div>
                                      <div class="row grp_pgs1" hidden>
                                        <div class="progress">
                                          <div class="progress-bar progress-bar-striped active" role="progressbar" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100" style="width: 100%">
                                          </div>
                                        </div>
                                      </div>
                                      <div class="row grp_alr1">
                                       <div class="modal-footer">
                                        <div class="col-md-4 col-md-offset-2">
                                          <button type="button" class="btn btn-danger btn-block" data-dismiss="modal">Cancelar</button>
                                        </div>
                                        <div class="col-md-4">
                                          <button type="button" class="btn btn-primary btn-block" id="alert_aceptar1">Aceptar</button>
                                        </div>
                                        </div>
                                      </div>
                                    </div>
                                  </div>
                                </div>
                              </div><!-- /.modal-content -->
                            </div><!-- /.modal-dialog -->
                        </div><!-- /.modal -->


                   <div id="modal_tipoCambio" class="modal fade" data-backdrop="static" data-keyboard="false" tabindex="-1" role="dialog" aria-hidden="true">
                            <div class="modal-dialog">
                              <div class="modal-content"> 
                                  <div class="modal-body"role="alert">
                                   <div class="row">
                                    <div class="col-md-12">
                                      <div class="fg-line">
                                         <input type="text" class="form-control" id="txtTipoCambio" placeholder="Tipo de Cambio" required>
                                         <div class="form-control-feedback" style="text-align:left;" ></div>
                                      </div>
                                    </div>
                                   </div>
                                  </div>

                                 <div class="modal-footer">
                                  
                                   <div class="col-md-6">
                                    <div class="col-md-6">
                                    <button type="button" class="btn btn-danger btn-block" data-dismiss="modal"><i class="fa fa-times"></i> Cancelar</button>
                                    </div>
                                     <div class="col-md-6">
                                    <button type="button" class="btn btn-success btn-block" id="btnTipoAceptar"><i class="fa fa-check"></i> Aceptar</button>
                                    </div>
                                  </div>
                                  </div> 
                                  
                              </div><!-- /.modal-content -->
                            </div><!-- /.modal-dialog -->
                        </div><!-- /.modal -->








                   <div id="modal_pago_adelantado" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" >
                              <div class="modal-dialog">
                                <div class="modal-content">
                                 <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                   
                                  </div>
                                      
                                  <div class="modal-body"role="alert">
                                     <div class="row">
                                          <div class="col-md-10 col-md-offset-1">
                                            <div class="panel panel-default">
                                              <div class="panel-body">
                                                <div class="row">
                                                  <div class="col-md-12">
                                                    <h4 class="bg-success" align="center">
                                                      <!--&nbsp;-->
                                                      RECIBO PAGO ADELANTADO
                                                    </h4>
                                                  </div>
                                                  <br></br>
                                                  <p></p>
                                                </div> 
                                                <div class="row">
                                                  <input type="hidden" id="idPagoAdelantado"></input>
                                                  <div class="col-md-3 col-md-offset-1">
                                                    <h5>Fecha Operación:</h5>
                                                  </div>
                                                  <div class="col-md-6">
                                                    <div class="form-group">
                                                    <div class="fg-line">
                                                      <input type="text" class="form-control" id="txtFechaOperacion" disabled>
                                                    <div class="form-control-feedback" style="text-align:left;" ></div>
                                                    </div>
                                                    </div>
                                                    <p></p>
                                                  </div>
                                                </div>
                                                <div class="row">
                                                  <div class="col-md-3 col-md-offset-1">
                                                    <h5>Cliente:</h5>
                                                  </div>
                                                  <div class="col-md-6">
                                                    <div class="form-group">
                                                    <div class="fg-line">
                                                       <input type="text" class="form-control" id="txtCliente" disabled>
                                                      <div class="form-control-feedback" style="text-align:left;" ></div>
                                                    </div>
                                                    </div>                             
                                                    <p></p>
                                                  </div>
                                                </div> 

                                                <div class="row">
                                                  <div class="col-md-3 col-md-offset-1">
                                                      <h5>Lote:</h5>
                                                    </div>
                                                    <div class="col-md-6">
                                                      <div class="form-group">
                                                      <div class="fg-line">
                                                         <input type="text" class="form-control" id="txtLote" disabled>
                                                        <div class="form-control-feedback" style="text-align:left;" ></div>
                                                      </div>
                                                      </div>                             
                                                      <p></p>
                                                    </div>
                                                </div>
                                               
                                                <div class="row">
                                                  <div class="col-md-3 col-md-offset-1">
                                                    <h5>Monto:</h5>
                                                  </div>
                                                  <div class="col-md-6 ">
                                                    <div class="form-group">
                                                    <div class="fg-line">
                                                      <input type="text" class="form-control" id="txtMonto" disabled>
                                                      <div class="form-control-feedback" style="text-align:left;" ></div>
                                                    </div>
                                                    </div>                              
                                                    <p></p>
                                                  </div>                            
                                                </div>   
                                              
                                                <div class="row">
                                                  <div class="col-md-3 col-md-offset-1">
                                                    <h5>Observacion:</h5>
                                                  </div>
                                                  <div class="col-md-6">
                                                    <div class="form-group">
                                                    <div class="fg-line">
                                                      <input type="text" class="form-control" id="txtObservacion">
                                                      <div class="form-control-feedback" style="text-align:left;" ></div>
                                                    </div>
                                                    </div>                              
                                                    <p></p>
                                                  </div>
                                                  <div class="row">
                                                    <div class="col-md-4 col-md-offset-4">
                                                      <button class="btn btn-block btn-inverse waves-effect" type="button" id="btnImprimirPagoAdelantado"><i class="fa fa-print"></i> Imprimir</button>
                                                    </div>
                                                  </div>                            
                                                </div>
                                              </div>
                                            </div>  
                                          </div>
                                        </div> 
                                  </div>
                                </div><!-- /.modal-content -->
                              </div><!-- /.modal-dialog -->
                          </div><!-- /.modal -->













                  <div id="modal_confirmacion2" class="modal fade" data-backdrop="static" data-keyboard="false" tabindex="-1" role="dialog" aria-hidden="true">
                      <div class="modal-dialog">
                        <div class="modal-content">
                          
                          <div class="modal-body alert"role="alert">
                            <div class="row">
                              <div class="col-md-12">
                                <div class="row grp_alr2" align="center">
                                  <h3 >¿Esta seguro que desea eliminar el pago?</h3>
                                </div>
                                
                                <div class="row grp_pgs2" align="center" hidden>
                                    <h3>PROCESANDO...</h3>
                                </div>
                                <div class="row grp_pgs2" hidden>
                                  <div class="progress">
                                    <div class="progress-bar progress-bar-striped active" role="progressbar" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100" style="width: 100%">
                                    </div>
                                  </div>
                                </div>
                                <div class="row grp_alr2">
                                 <div class="modal-footer">
                                  <div class="col-md-4 col-md-offset-2">
                                    <button type="button" class="btn btn-danger btn-block" data-dismiss="modal">Cancelar</button>
                                  </div>
                                  <div class="col-md-4">
                                    <button type="button" class="btn btn-primary btn-block" id="alert_aceptar2">Aceptar</button>
                                  </div>
                                  </div>
                                </div>
                              </div>
                            </div>
                          </div>
                        </div><!-- /.modal-content -->
                      </div><!-- /.modal-dialog -->
                  </div><!-- /.modal -->


                  <div id="modalPagoAdelanto" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                      <div class="modal-dialog">
                        <div class="modal-content">
                          <div class="modal-body">
                            <div  id="platillaI"  style="font-family:'Lucida Console', Monaco, monospace;font-size:13px;">
                              <h5 align="center"><b>RECIBO PAGO</b></h5>
                              <table>
                                <tr nowrap>=============================</tr>
                              </table>
                              <b>Fecha : <p id="pFecha"></p></b>
                              <b>Cliente:</b>
                              <p id="pCliente"></p>
                              <b>Lote:</b>
                              <p id="pLote"></p>
                              <b>Concepto:</b>
                              <p id="pConcepto">Pago Adelantado</p>
                              <b>Monto :</b>
                              <h4 id="pMonto"></h4>
                              <b>Observaciones:</b>
                              <p id="pObservacion"></p>
                              <br>
                              <table>
                                <tr>
                                  <td nowrap>__________&nbsp;</td>
                                  <td>&nbsp;</td>
                                  <td nowrap>&nbsp;____________</td>
                                </tr>
                                <tr>
                                  <td nowrap><h6>Recibí conforme</h6></td>
                                  <td>&nbsp;</td>
                                  <td nowrap>&nbsp;&nbsp; Op. {{ user.get_username }}</td>
                                </tr>
                              </table>
                            </div>
                          </div>
                          <div class="modal-footer">
                            <hr>
                            <button type="button" class="btn btn-primary" data-dismiss="modal">Cerrar</button>
                          </div>

                        </div><!-- /.modal-content -->
                      </div><!-- /.modal-dialog -->
                  </div><!-- /.modal -->




                  <div class="row">
                    <div class="col-md-12 hidden" id="hand">
                         <div class="row">
                            <div class="col-md-12">
                              <div class="col-md-6">
                                <div class="form-group">
                                  <label class="radio-inline">
                                  <input type="radio" name="tipoOp" id="rbTipoOperacionT" value="1" required checked> Truncar Decimales
                                </label>
                                <label class="radio-inline">
                                  <input type="radio" name="tipoOp" id="rbTipoOperacionR" value="0" required> Redondear Decimales
                                </label>
                                  <div class="form-control-feedback" ></div>
                                  <div class="help-block with-errors"></div>
                                </div>
                              </div>
                              <div class="col-md-6">
                                <div class="col-md-6">
                                  <div class="form-group">
                                      <button class="btn btn-primary btn-block" type="button" id="btnActualizar"><i class="fa fa-refresh"></i>  Actualizar </button>
                                  </div>
                                </div>
                                <div class="col-md-6">
                                  <div class="form-group">
                                    <button class="btn btn-danger btn-block" type="button" id="btnEliminarCierre" data-toggle="modal" data-target="#modal_confirmacion1">Eliminar Cierre</button>
                                  </div>
                                </div> 
                              </div> 

                            </div>
                            <div class="col-md-12">
                              <div class="col-md-2">
                                 <button class="btn btn-inverse btn-block" type="button" id="btnImprimirReporte"><i class="fa fa-print"></i> Imprimir</button>
                              </div>
                              

                                <!--<button class="btn btn-success btn-block" type="button" onClick ="$('#example').tableExport({type:'excel',escape:'false'});">Excel</button>
                                <button class="btn btn-danger btn-block" type="button" onClick ="$('#example').tableExport({type:'pdf',escape:'false'});">PDF</button>-->
                                <!--<a href="#" onClick ="$('#tableID').tableExport({type:'json',escape:'false'});">JSON</a>
                                <a href="#" onClick ="$('#tableID').tableExport({type:'excel',escape:'false'});">XLS</a>
                                <a href="#" onClick ="$('#tableID').tableExport({type:'csv',escape:'false'});">CSV</a>
                                <a href="#" onClick ="$('#tableID').tableExport({type:'pdf',escape:'false'});">PDF</a>-->
                            </div>
                          </div>
                        <p></p>
 
                        <div class="table-responsive">
                            <table id="example" class="table table-bordered table-hover" cellspacing="0">  
                            
                            </table>
                        </div>   
                        <div class="table-responsive">
                            <table id="example1" class="table table-bordered table-hover" cellspacing="0">  
                            
                            </table>
                        </div>   
                        <div class="table-responsive">
                            <table id="example2" class="table table-bordered table-hover" cellspacing="0">  
                            
                            </table>
                        </div> 

                    </div>
                  </div>
                 
      <script  type="text/javascript" charset="utf-8">

        var idCCGlobal=0;
        var nroRowsGlobal=0;
        var tipCambioGlobal=0;
        var loteGlobal='';
        var tipoO=0;
        var flagGlobal=false;
        var conf='';
        var valorMoneda='dolares';
        var dialog="";

      $(document).ready(function (){
          recuperarCierres();
          $("#textClient").addClass("hidden");
          $("#txtTipoCambio").numeric();
       });

      $("#btnActualizar").click(function(){ 
          recuperarCierresCuentaCliente(idCCGlobal,tipoO); 
      });


      $("#btnImprimirReporte").click(function(){
         

          $('#example2').find('td:nth-child(1)').hide();
          $('#example2').find('td:nth-child(2)').hide();
          $('#example2').find('td:nth-child(3)').hide();
          
          $('#example2').find('button.eliminar').text("");
          $('#example2').find('button.imprimir').text("");
          $('#example2').find('button.enviar').text("");
          $('#example2').find('button.aceptar1').text("");

          $('#example1').find('button.aceptar1').text("");
          $('#example1').find('button.eliminarFila').text("");


          var rows = $('#example1 > tbody > tr');
           for(var i=0;i<rows.length-1;i++) {
                var valorOz=($(rows[i]).find('input.oz').val());
                var valorPOZ=($(rows[i]).find('input.poz').val());
                var valorDesc=($(rows[i]).find('input.desc').val());

                 if(!isNaN(valorOz) && valorOz.trim()!=""){
                     $('#example1 > tbody > tr:eq(' + (i) + ')').find('td').eq(3).html("<span class='valorOzReporte'>"+valorOz+"</span>");
                 }

                if(!isNaN(valorPOZ) && valorPOZ.trim()!=""){
                     $('#example1 > tbody > tr:eq(' + (i) + ')').find('td').eq(4).html("<span class='valorPOZReporte'>"+valorPOZ+"</span>");
                }

                if(!isNaN(valorDesc) && valorDesc.trim()!=""){
                   $('#example1 > tbody > tr:eq(' + (i) + ')').find('td').eq(5).html("<span class='valorDescReporte'>"+valorDesc+"</span>");
                }
                
            }



          var datos=$("#comboFiltro :selected").text().split("/");
          var d = new Date();
          var n = d.toLocaleString();

          doc = new jsPDF('p', 'pt');
          var res = doc.autoTableHtmlToJson(document.getElementById("example"));
          var res1 = doc.autoTableHtmlToJson(document.getElementById("example1"));
          var res2 = doc.autoTableHtmlToJson(document.getElementById("example2"));

          doc.setFontSize(16);
          doc.setFontStyle('Times-Bold');
          //doc.addImage(headerImgData, 'JPEG', 20, 10, 80, 30); 
          doc.text("Reporte Cierre Compra Cliente", 20, 30);
          doc.setFontSize(12);
          doc.rect(20, 50, doc.internal.pageSize.width-40, 70, 'S');
           
          doc.text('CLIENTE : '+datos[2], 30, 70);
          doc.text('LOTE : '+datos[0], 30, 90);
          doc.text('FECHA : '+n, 30, 110);


          doc.autoTable(res.columns, res.data, {
              margin: {horizontal: 20},
              startY: 130,
              styles: {overflow: 'linebreak'},
              bodyStyles: {valign: 'top'},
              columnStyles: {email: {columnWidth: 'wrap'}},
              theme: 'grid',
          });


           doc.autoTable(res1.columns, res1.data, {
              margin: {horizontal: 20},
              startY: doc.autoTableEndPosY() + 20,
              styles: {overflow: 'linebreak'},
              bodyStyles: {valign: 'top'},
              columnStyles: {email: {columnWidth: 'wrap'}},
              theme: 'grid',
          });

          doc.autoTable(res2.columns, res2.data, {
              margin: {horizontal: 20},
              startY: doc.autoTableEndPosY() + 20,
              styles: {overflow: 'linebreak'},
              bodyStyles: {valign: 'top'},
              columnStyles: {email: {columnWidth: 'wrap'}},
              theme: 'grid',
          });
 
          doc.save('reporteCierre.pdf'); 

          $('#example2').find('button.eliminar').text("Eliminar");
          $('#example2').find('button.imprimir').html("<i class='fa fa-print'></i> Imprimir"); 
          $('#example2').find('button.enviar').html("<i class='fa fa-mail-forward'></i> Enviar a Caja");
          $('#example2').find('button.aceptar1').html("<i class='fa fa-plus'></i> Nuevo Pago");

          $('#example1').find('button.aceptar1').html("<i class='fa fa-plus'></i> Agregar Fila");
          $('#example1').find('button.eliminarFila').html("<i class='fa fa-times'></i> Eliminar");

          $('#example2').find('td:nth-child(1)').show();
          $('#example2').find('td:nth-child(2)').show();
          $('#example2').find('td:nth-child(3)').show();


          for(var i=0;i<rows.length-1;i++) {
                var valorOz=($(rows[i]).find('span.valorOzReporte').text());
                var valorPOZ=($(rows[i]).find('span.valorPOZReporte').text());
                var valorDesc=($(rows[i]).find('span.valorDescReporte').text());

                 if(!isNaN(valorOz) && valorOz.trim()!=""){
                     $('#example1 > tbody > tr:eq(' + (i) + ')').find('td').eq(3).html("<input class='clickedit oz' type='text' value='"+valorOz+"' />");
                 }

                if(!isNaN(valorPOZ) && valorPOZ.trim()!=""){
                     $('#example1 > tbody > tr:eq(' + (i) + ')').find('td').eq(4).html("<input class='clickedit poz' type='text' value='"+valorPOZ+"' />");
                }

                if(!isNaN(valorDesc) && valorDesc.trim()!=""){
                   $('#example1 > tbody > tr:eq(' + (i) + ')').find('td').eq(5).html("<input class='clickedit desc' type='text' value='"+valorDesc+"' />");
                }
                
            }
 

      });

      $("#btnFiltrar").click(function(){
            var $patron_busqueda = $("#filtro").val();
            var $size = $patron_busqueda.length;
            if($size > 0){
                $("#textClient").text("");
                $("#hand").removeClass();
                $("#hand").prop("class","col-md-12 hidden");
                recuperarCierresFiltro($patron_busqueda);
                //listar_cierres_clientes($patron_busqueda,'combocierres');
            }else{   
                $("#filtro").focus();
                recuperarCierres();
                //setInterval(function () {location.reload();}, 900);
            } 
      });



      $("#filtro").keypress(function(event){
            if ( event.which == 13 ) {
              var $patron_busqueda = $(this).val();
              var $size = $patron_busqueda.length;
              if($size > 0){
                  $("#textClient").text("");
                  $("#hand").removeClass();
                  $("#hand").prop("class","col-md-12 hidden");
                  recuperarCierresFiltro($patron_busqueda);
                  //listar_cierres_clientes($patron_busqueda,'combocierres');
              }else{   
                  $("#filtro").focus();
                  recuperarCierres();
                  //setInterval(function () {location.reload();}, 900);
              } 
        }
      });


      $("#btnImprimirPagoAdelantado").click(function(){
          var observaciones=$("#txtObservacion").val();
          $("#pObservacion").text(observaciones);
          $('#platillaI').printThis();
      });

      



      function actualizartipo(rows,conf)
      {
        for(var i=0;i<rows.length;i++) {

                var valor1=($(rows[i]).find('td:eq(8)').text());
                var valor2=($(rows[i]).find('td:eq(6)').text());
                var valor3=($(rows[i]).find('td:eq(9)').text());
                if(valor1!="")
                {
                    var PrecioUSOnza=parseFloat(valor1);
                    var DsctoCompra=$(rows[i]).find('td').eq(9).text();
                    var PesoFinoCierreGrs=$(rows[i]).find('td').eq(6).text();
                    var NetoAPagarUS=$(rows[i]).find('td').eq(13).text();
                    var ImporteCompraUS=$(rows[i]).find('td').eq(10).text();
                    if(DsctoCompra!="")
                    {
                        DsctoCompra=parseFloat($(rows[i]).find('td').eq(9).text())/100;
                        var cociente=PrecioUSOnza/31.1035;
                        var tipoley=$('input[name="tipoley"]:checked').val();
                        if(tipoley=="1")
                        {
                            var operacion =cociente-(cociente*DsctoCompra);
                            var punto=String(operacion).indexOf(".")+1;
                            if(conf[10]==0)
                                $(rows[i]).find('td').eq(10).text(parseInt(operacion));
                            else
                            {
                               if(conf[10]>0 && punto==0)
                               {
                                    $(rows[i]).find('td').eq(10).text(parseInt(operacion));
                               }
                               else
                               {
                                if(conf[10]>0 && punto>0)
                                {
                                    $(rows[i]).find('td').eq(10).text(String(operacion).substring(0,parseInt(conf[10])+punto));
                                }
                               } 
                            }

                        }
                        else
                        {
                            var leytemporal=$(rows[i]).find('td').eq(3).text();
                            var numero=(cociente-(cociente*DsctoCompra))*parseFloat(leytemporal)/100;
                            var entera=parseInt(numero);
                            var dec=numero-entera;
                            if(String(dec).length>3)
                            {
                                numero=parseFloat(entera)+parseFloat(String(dec).substring(0,4));
                            }
                            else
                            {
                                numero=parseFloat(entera)+parseFloat(dec);
                            }
                            var punto=String(numero).indexOf(".")+1;
                            if(conf[10]==0)
                                $(rows[i]).find('td').eq(10).text(parseInt(numero));
                            else
                            {
                               if(conf[10]>0 && punto==0)
                               {
                                    $(rows[i]).find('td').eq(10).text(parseInt(numero));
                               }
                               else
                               {
                                if(conf[10]>0 && punto>0)
                                {
                                    $(rows[i]).find('td').eq(10).text(String(numero).substring(0,parseInt(conf[10])+punto));
                                }
                               } 
                            }
                            //$(rows[i]).find('td').eq(10).text(String(numero).substring(0,parseInt(conf[10])+punto));

                        }
                    }
                    if(PesoFinoCierreGrs!="" && NetoAPagarUS!="")
                    {
                        var cociente=PrecioUSOnza/31.1035;
                        var punto=String(cociente).indexOf(".")+1;
                            if(conf[11]==0)
                                $(rows[i]).find('td').eq(11).text(parseInt(cociente));
                            else
                            {
                               if(conf[11]>0 && punto==0)
                               {
                                    $(rows[i]).find('td').eq(10).text(parseInt(cociente));
                               }
                               else
                               {
                                if(conf[11]>0 && punto>0)
                                {
                                    $(rows[i]).find('td').eq(10).text(String(cociente).substring(0,parseInt(conf[11])+punto));
                                }
                               } 
                            }
                        //$(rows[i]).find('td').eq(11).text(String(cociente).substring(0,parseInt(conf[11])+punto));
                    }

                    if(PesoFinoCierreGrs!="" && ImporteCompraUS!="")
                    {
                        PesoFinoCierreGrs= parseFloat($(rows[i]).find('td').eq(6).text());
                        ImporteCompraUS=parseFloat($(rows[i]).find('td').eq(10).text());
                        var operacion = (PesoFinoCierreGrs*ImporteCompraUS);
                        var punto=String(operacion).indexOf(".")+1;
                        if(conf[13]==0)
                                $(rows[i]).find('td').eq(13).text(parseInt(operacion));
                            else
                            {
                               if(conf[13]>0 && punto==0)
                               {
                                    $(rows[i]).find('td').eq(13).text(parseInt(operacion));
                               }
                               else
                               {
                                if(conf[13]>0 && punto>0)
                                {
                                    $(rows[i]).find('td').eq(13).text(String(operacion).substring(0,parseInt(conf[13])+punto));
                                }
                               } 
                            }
                        //$(rows[i]).find('td').eq(13).text(String(operacion).substring(0,parseInt(conf[13])+punto));
                    }
                }

                if(valor2!="")
                {
                    var PesoFinoCierreGrs=parseFloat(valor2);
                    var punto=String(PesoFinoCierreGrs/31.1035).indexOf(".")+1;
                    var operacion=0;
                    if(conf[7]==0)
                         operacion=parseInt(PesoFinoCierreGrs/31.1035);
                    else
                    {
                        if(conf[7]>0 && punto==0)
                        {
                            operacion=parseInt(PesoFinoCierreGrs/31.1035);
                        }
                        else
                        {
                            if(conf[7]>0 && punto>0)
                            {
                                operacion=String(PesoFinoCierreGrs/31.1035).substring(0,parseInt(conf[7])+punto);
                            }
                        }
                    } 
                     
                    var PesoBrutoGrs=$(rows[i]).find('td').eq(1).text();
                    var PrecioUSOnza=$(rows[i]).find('td').eq(8).text();
                    var NetoAPagarUS=$(rows[i]).find('td').eq(13).text();
                    var ImporteCompraUS=$(rows[i]).find('td').eq(10).text();
                    $(rows[i]).find('td').eq(7).text(operacion);
                                //alert("cambio");
                                //calcular el descuento compra US$
                    if(PrecioUSOnza!="" && NetoAPagarUS!="")
                    {
                        PrecioUSOnza=parseFloat($(rows[i]).find('td').eq(8).text());
                        var cociente=PrecioUSOnza/31.1035;
                        var punto=String(cociente).indexOf(".")+1;
                        if(conf[11]==0)
                                $(rows[i]).find('td').eq(11).text(parseInt(cociente));
                            else
                            {
                               if(conf[11]>0 && punto==0)
                               {
                                    $(rows[i]).find('td').eq(11).text(parseInt(cociente));
                               }
                               else
                               {
                                if(conf[11]>0 && punto>0)
                                {
                                    $(rows[i]).find('td').eq(11).text(String(cociente).substring(0,parseInt(conf[11])+punto));
                                }
                               } 
                            }
                        //$(rows[i]).find('td').eq(11).text(String(cociente).substring(0,parseInt(conf[11])+punto));
                    }
                                //calcular neto a pagar
                    if(ImporteCompraUS!="")
                    {
                        ImporteCompraUS=parseFloat($(rows[i]).find('td').eq(10).text());
                        var tipoley=$('input[name="tipoley"]:checked').val();
                        if(tipoley=="1")
                        {
                            var operacion = (PesoFinoCierreGrs*ImporteCompraUS);
                            var punto=String(operacion).indexOf(".")+1;
                            if(conf[13]==0)
                                $(rows[i]).find('td').eq(13).text(parseInt(operacion));
                            else
                            {
                               if(conf[13]>0 && punto==0)
                               {
                                    $(rows[i]).find('td').eq(13).text(parseInt(operacion));
                               }
                               else
                               {
                                if(conf[13]>0 && punto>0)
                                {
                                    $(rows[i]).find('td').eq(13).text(String(operacion).substring(0,parseInt(conf[13])+punto));
                                }
                               } 
                            }
                            //$(rows[i]).find('td').eq(13).text(String(operacion).substring(0,parseInt(conf[13])+punto));
                        }
                        else
                        {
                            if(PesoBrutoGrs!="")
                            {
                                PesoBrutoGrs=parseFloat(PesoBrutoGrs);
                                var operacion =(PesoBrutoGrs*ImporteCompraUS);
                                var punto=String(operacion).indexOf(".")+1;
                                if(conf[13]==0)
                                    $(rows[i]).find('td').eq(13).text(parseInt(operacion));
                                else
                                {
                                   if(conf[13]>0 && punto==0)
                                   {
                                        $(rows[i]).find('td').eq(13).text(parseInt(operacion));
                                   }
                                   else
                                   {
                                    if(conf[13]>0 && punto>0)
                                    {
                                        $(rows[i]).find('td').eq(13).text(String(operacion).substring(0,parseInt(conf[13])+punto));
                                    }
                                   } 
                                }
                               // $(rows[i]).find('td').eq(13).text(String(operacion).substring(0,parseInt(conf[13])+punto));
                            }
                        }

                    }
                                //calcular saldo a pagar
                }

                if(valor3!="")
                {
                    var DsctoCompra=parseFloat(valor3);
                    DsctoCompra=DsctoCompra/100;
                    var PrecioUSOnza=$(rows[i]).find('td').eq(8).text();
                    var ley=$(rows[i]).find('td').eq(3).text();
                    var NetoAPagarUS=$(rows[i]).find('td').eq(13).text();
                    var PesoFinoCierreGrs=$(rows[i]).find('td').eq(6).text();
                    var ImporteCompraUS=$(rows[i]).find('td').eq(10).text();
                    if(PrecioUSOnza!="")
                    {
                        PrecioUSOnza=parseFloat($(rows[i]).find('td').eq(8).text());
                        var cociente=PrecioUSOnza/31.1035;
                        var tipoley=$('input[name="tipoley"]:checked').val();
                        if(tipoley=="1")
                        {
                            var operacion=cociente-(cociente*DsctoCompra);
                            var punto=String(operacion).indexOf(".")+1;
                            if(conf[10]==0)
                                $(rows[i]).find('td').eq(10).text(parseInt(operacion));
                            else
                            {
                               if(conf[10]>0 && punto==0)
                               {
                                    $(rows[i]).find('td').eq(10).text(parseInt(operacion));
                               }
                               else
                               {
                                if(conf[10]>0 && punto>0)
                                {
                                    $(rows[i]).find('td').eq(10).text(String(operacion).substring(0,parseInt(conf[10])+punto));
                                }
                               } 
                            }
                            //$(rows[i]).find('td').eq(10).text(String(operacion).substring(0,parseInt(conf[10])+punto)); 
                        }
                        else
                        {
                            var numero=(cociente-(cociente*DsctoCompra))*parseFloat(ley)/100;
                            var entera=parseInt(numero);
                            var dec=numero-entera;
                            if(String(dec).length>3)
                            {
                                numero=parseFloat(entera)+parseFloat(String(dec).substring(0,4));
                            }
                            else
                            {
                                numero=parseFloat(entera)+parseFloat(dec);
                            }
                            var punto=String(numero).indexOf(".")+1;
                            if(conf[10]==0)
                                $(rows[i]).find('td').eq(10).text(parseInt(numero));
                            else
                            {
                               if(conf[10]>0 && punto==0)
                               {
                                    $(rows[i]).find('td').eq(10).text(parseInt(numero));
                               }
                               else
                               {
                                if(conf[10]>0 && punto>0)
                                {
                                    $(rows[i]).find('td').eq(10).text(String(numero).substring(0,parseInt(conf[10])+punto));
                                }
                               } 
                            }
                            //$(rows[i]).find('td').eq(10).text(String(numero).substring(0,parseInt(conf[10])+punto));

                        }
                    }

                    if(PesoFinoCierreGrs!="" && ImporteCompraUS!="")
                    {
                        PesoFinoCierreGrs=parseFloat($(rows[i]).find('td').eq(6).text());
                        ImporteCompraUS=parseFloat($(rows[i]).find('td').eq(10).text());
                        var operacion=PesoFinoCierreGrs*ImporteCompraUS;
                        var punto=String(operacion).indexOf(".")+1;
                        if(conf[13]==0)
                                $(rows[i]).find('td').eq(13).text(parseInt(operacion));
                            else
                            {
                               if(conf[13]>0 && punto==0)
                               {
                                    $(rows[i]).find('td').eq(13).text(parseInt(operacion));
                               }
                               else
                               {
                                if(conf[13]>0 && punto>0)
                                {
                                    $(rows[i]).find('td').eq(13).text(String(operacion).substring(0,parseInt(conf[13])+punto));
                                }
                               } 
                            }
                        //$(rows[i]).find('td').eq(13).text(String(operacion).substring(0,parseInt(conf[13])+punto));
                    }

                    if(PesoFinoCierreGrs!="" && PrecioUSOnza!="" && NetoAPagarUS!="")
                    {
                        var cociente=parseFloat($(rows[i]).find('td').eq(8).text())/31.1035;
                        var punto=String(cociente).indexOf(".")+1;
                        if(conf[11]==0)
                                $(rows[i]).find('td').eq(11).text(parseInt(cociente));
                            else
                            {
                               if(conf[11]>0 && punto==0)
                               {
                                    $(rows[i]).find('td').eq(11).text(parseInt(cociente));
                               }
                               else
                               {
                                if(conf[11]>0 && punto>0)
                                {
                                    $(rows[i]).find('td').eq(11).text(String(cociente).substring(0,parseInt(conf[11])+punto));
                                }
                               } 
                            }
                        //$(rows[i]).find('td').eq(11).text(String(cociente).substring(0,parseInt(conf[11])+punto));
                    }
                }
            }

            var $sumatotal=0;
            var tipocambio=0;  
            for(var i=0;i<rows.length;i++) {
                var aux=$(rows[i]).find("td:eq(11)").text();
                if(aux!="Tipo Cambio")
                {
                    $sumatotal=$sumatotal+parseFloat($(rows[i]).find("td:eq(13)").text());
                }
                else
                {
                    tipocambio=parseFloat($(rows[i]).find("td:eq(12)").text());
                    $(rows[i]).find("td:eq(13)").text("S/."+($sumatotal*tipocambio));
                    break;
                }
            }
            $('#example > tbody > tr:eq(' + (rows.length-1) + ')').find('td').eq(13).text($sumatotal);
      }



        $(document).on('click','[name="tipoOp"]',function(){
            var tipo=$('input[name="tipoOp"]:checked').val();

            if(tipo==1){
                 recuperarCierresCuentaCliente(idCCGlobal,1); 
            }else{ 
                 recuperarCierresCuentaCliente(idCCGlobal,2); 
            } 
        });


       $(document).on('click', '#idNuevoPago', function(event){
          //------ index of row

          var index= $("#example2 tr").length;
          var moneda=$(this).closest('tr').find("select.p").val();
          var color;
          if(moneda=="SOLES")
          {
              color="<tr class='even info'>";
          }
          else
          {
              color="<tr class='even success'>";   
          }
           
          var html=color+"<td><button type='button' class='btn enviar btn-sm btn-success btn-icon-text waves-effect' data-value='-1'><i class='fa fa-mail-forward'></i> Enviar a Caja</button></td><td><button type='button' class='btn imprimir btn-sm btn-inverse btn-icon-text waves-effect' data-value='-1'><i class='fa fa-print'></i> Imprimir</button></td><td><button type='button' class='btn eliminar btn-danger btn-sm btn-icon-text waves-effect' data-value='-1'>Eliminar</button></td><td></td><td></td><td>"+"<div class='profile-info-value'><span class='editable editable-click tbObservaciones' id='tbObservaciones' style='display: inline;'>1.00</span></div></td><td><select name='combomoneda' class='cm' id='combomoneda'><option value='dolares'>dolares</option>"+
                  "<option value='soles'>soles</option></select></td><td id='tbmonto'><div class='profile-info-value'><span class='editable editable-click' id='tbmonto' style='display: inline;'>0.00</span></div></td><td></td><td><div class='profile-info-value'><span class='editable editable-click Obs' id='tbObs' style='display: inline;'></span></div></td></tr>"
          $('#example2 > tbody > tr:eq(' + (index-3) + ')').after(html);
          $('.editable').editable();
          valorMoneda='dolares'; 
           /*$('.editable').editable({
                  type: 'text', 
                  inputclass:'lebar',
                  showbuttons:true 
              });*/        
       
      });


      
        $(document).on('change', '.cm', function(event) {
          var index=$(this).closest('tr').index();
          var valor=$('#example > tbody > tr:eq(' + (index-1) + ')').find('td').eq(15).text();
          valorMoneda=$(this).val();
          if($(this).val()=="soles")
          {
              $(this).closest('tr').prop('class','even info');
              var tipocambio=$(this).closest('tr').find('td').eq(12).text();
              var montopagado=$(this).closest('tr').find('td').eq(14).text();
              var convertido=parseFloat(montopagado)/parseFloat(tipocambio);
              valor=valor-convertido;
              $(this).closest('tr').find('td').eq(15).text(truncateDecimals(valor,conf[14]));//valor.toFixed(conf[14]));
              $(this).closest('tr').find('td').eq(11).text(truncateDecimals(convertido,conf[14]));//convertido.toFixed(conf[10]));
          } 
          else
          {
              $(this).closest('tr').prop('class','even success');
              var montopagado=parseFloat($(this).closest('tr').find('td').eq(14).text());
              valor=valor-montopagado; 
              $(this).closest('tr').find('td').eq(15).text(truncateDecimals(valor,conf[14]));//valor.toFixed(conf[14]));
              $(this).closest('tr').find('td').eq(11).text(truncateDecimals(montopagado.conf[10]));//montopagado.toFixed(conf[10]));

          }
        });


       $(document).on('keypress', '.lebar', function(key) {
          var col=$(this).closest('td').index();
          var row=$(this).closest('tr').index();
          if(col!=9){
            if(key.charCode < 44 || key.charCode==45 || key.charCode==47 || key.charCode > 57) {
              return false;
            }
            
            if($(this).val().indexOf('.')!=-1){
              if(key.charCode==46){
                return false;
              }
            } 
          }
       });


       /*$(document).on('keyup','.lebar',function(event){
          
          var $valor= $(this).closest('tr').find("input.input-sm").val();
          var col=$(this).closest('td').index();
          var row=$(this).closest('tr').index();
          if(col!=16){
            if($valor.indexOf('.')!=-1){
              console.log("si hay punto"+$valor.indexOf('.'));
            }else{
              var cantidadCeros=String(Math.pow(10,parseInt(conf[col]))).replace("1",".");
              var valorAnterior=$(this).val();
              console.log("valor anterior "+valorAnterior);
              $(this).val(String(valorAnterior)+String(cantidadCeros));
              console.log(cantidadCeros);
              console.log(col);
              console.log(row);
            }
          }
       });*/

 

       $(document).on('click', '.editable-submit', function(event) {

          var $tipoOperacion=$(this).closest('tr').find("select.input-sm").val();

          if($tipoOperacion!=undefined && $tipoOperacion!=null && $tipoOperacion!=''){
            if($tipoOperacion==1 || $tipoOperacion=="1"){
                 recuperarCierresCuentaCliente(idCCGlobal,1); 
            }else{ 
                 recuperarCierresCuentaCliente(idCCGlobal,2); 
            }
          }



          var idcombinado=$('#comboFiltro').val();
          
          if(idcombinado!=-1){
            var arr=String(idcombinado).split("_");
            var $idCliente=String(arr[0]);
            var $idCierre=String(arr[1]);
            var col=$(this).closest('td').index();
            var index=$(this).closest('tr').index();
            var $idPagoCompra=$(this).closest('tr').find("button.eliminar").attr("data-value");
            var $idBarraCompra=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(6).text();

            var $idCuadro=$('#example1 > tbody > tr:eq(' + (index) + ')').find('td').eq(8).text();

             

            if($idCuadro!=undefined && $idCuadro!=null && $idCuadro!=''){
                switch(col){
                  case (2):
                      var valorFechaYear=$(this).closest('tr').find("select.year").val();
                      var valorFechaMonth=$(this).closest('tr').find("select.month").val();
                      var valorFechaDay=$(this).closest('tr').find("select.day").val();
                      var dateNuevo= valorFechaYear+'-'+String(parseInt(valorFechaMonth)+1)+'-'+valorFechaDay;

                      var valorId=$(this).closest('tr').find('span.spanId').text();
                      var valorPCD=$(this).closest('tr').find('span.spanPCD').text();
                      var valorPOZ=$(this).closest('tr').find('input.poz').val();
                      var valorDesc=$(this).closest('tr').find('input.desc').val();
                      var valorOz=$(this).closest('tr').find('input.oz').val();
                      var total=parseFloat(valorPCD)*valorOz;
                      $(this).closest('tr').find('span.spanTotal').text(truncateDecimals(total,2)); 

                      /*var idGlobal=idCCGlobal.split('_');
                      var idCliente=idGlobal[0];
                      var idCCC=idGlobal[1];*/

                      actualizarBarraDivision(valorId,dateNuevo,$idCliente,$idCierre,valorOz,valorPOZ,valorDesc,$(this).closest('tr')); 
                      break;

                }
            }



            if($idPagoCompra!=undefined && $idPagoCompra!=null && $idPagoCompra!=''){ 
                switch(col) {
                  case 3:
                      var valorFechaYear=$(this).closest('tr').find("select.year").val();
                      var valorFechaMonth=$(this).closest('tr').find("select.month").val();
                      var valorFechaDay=$(this).closest('tr').find("select.day").val();
                      var valorTipoCambio=$('#example2 > tbody > tr:eq(' + (index) + ')').find('td').eq(5).text();
                      var valorMonto=$('#exampl2 > tbody > tr:eq(' + (index) + ')').find('td').eq(7).text();
                      var valorMontoCambiado=$('#example2 > tbody > tr:eq(' + (index-1) + ')').find('td').eq(8).text();
                      var valorObs=$('#example2 > tbody > tr:eq(' + (index) + ')').find('td').eq(9).text();
                      var dateNuevo= valorFechaYear+'-'+valorFechaMonth+'-'+valorFechaDay;
                      if(valorObs==null || valorObs=='')
                          valorObs="ninguna"; 
                      
                      if(valorTipoCambio!=null && valorTipoCambio!='' && valorMonto!=null && valorMonto!=''){
                        if(parseFloat(valorTipoCambio)>0 && parseFloat(valorMonto)>0){
                          insertarPagoCompra($idPagoCompra,$idCierre,$idCliente,valorMonto,valorMontoCambiado,valorMoneda,valorTipoCambio,dateNuevo,valorObs,index);
                        }
                      }
                      break;
                  case 5:
                       var $valorAnterior=$(this).closest('tr').find("input.input-sm").val();
                       if($valorAnterior.indexOf('.')!=-1){
                          console.log("si hay punto");
                        }else{
                          var cantidadCeros=String(Math.pow(10,parseInt(conf[col]))).replace("1",".");
                          console.log("valor anterior "+$valorAnterior);
                          $(this).closest('tr').find("input.input-sm").val(String($valorAnterior)+String(cantidadCeros));
                          console.log(cantidadCeros);
                          console.log(col); 
                        }


                      var valorFecha=$('#example2 > tbody > tr:eq(' + (index) + ')').find('td').eq(3).text();
                      var valorTipoCambio=$(this).closest('tr').find("input.input-sm").val();
                      var valorMonto=$('#example2 > tbody > tr:eq(' + (index) + ')').find('td').eq(7).text();
                      var valorMontoCambiado=$('#example2 > tbody > tr:eq(' + (index-1) + ')').find('td').eq(8).text();
                      var valorObs=$('#example2 > tbody > tr:eq(' + (index) + ')').find('td').eq(9).text(); 
                      if(valorObs==null || valorObs=='')
                          valorObs="ninguna"; 
                      
                      if(valorTipoCambio!=null && valorTipoCambio!='' && valorMonto!=null && valorMonto!=''){
                        if(parseFloat(valorTipoCambio)>0 && parseFloat(valorMonto)>0){
                          insertarPagoCompra($idPagoCompra,$idCierre,$idCliente,valorMonto,valorMontoCambiado,valorMoneda,valorTipoCambio,valorFecha,valorObs,index);
                        } 
                      }
                      break;
                  case 7:
                      var $valorAnterior=$(this).closest('tr').find("input.input-sm").val();
                       if($valorAnterior.indexOf('.')!=-1){
                          console.log("si hay punto");
                        }else{
                          var cantidadCeros=String(Math.pow(10,parseInt(conf[col]))).replace("1",".");
                          console.log("valor anterior "+$valorAnterior);
                          $(this).closest('tr').find("input.input-sm").val(String($valorAnterior)+String(cantidadCeros));
                          console.log(cantidadCeros);
                          console.log(col); 
                        }


                      var valorFecha=$('#example2 > tbody > tr:eq(' + (index) + ')').find('td').eq(3).text();
                      var valorMontoCambiado=$('#example2 > tbody > tr:eq(' + (index-1) + ')').find('td').eq(8).text();
                      var valorMonto=$(this).closest('tr').find("input.input-sm").val();
                      var valorObs=$('#example2 > tbody > tr:eq(' + (index) + ')').find('td').eq(9).text();
                      if(valorObs==null || valorObs=='')
                          valorObs="ninguna"; 
                      
                      if(valorMoneda=='soles'){
                        $("#modal_tipoCambio").modal("show");
                        $("#txtTipoCambio").focus();
                        $("#btnTipoAceptar").click(function(){
                          var tc=$("#txtTipoCambio").val();
                          if(tc!=''){
                            $('#example2 > tbody > tr:eq(' + (index) + ')').find('td').eq(5).text(tc);
                            var valorTipoCambio=$('#example2 > tbody > tr:eq(' + (index) + ')').find('td').eq(5).text();
                            if(valorTipoCambio!=null && valorTipoCambio!='' && valorMonto!=null && valorMonto!=''){
                              if(parseFloat(valorTipoCambio)>0 && parseFloat(valorMonto)>0){
                                insertarPagoCompra($idPagoCompra,$idCierre,$idCliente,valorMonto,valorMontoCambiado,valorMoneda,valorTipoCambio,valorFecha,valorObs,index);
                                $("#modal_tipoCambio").modal("hide");
                              }
                            }
                          } 
                        });
                      }else{
                         var valorTipoCambio=$('#example2 > tbody > tr:eq(' + (index) + ')').find('td').eq(5).text();
                          if(valorTipoCambio!=null && valorTipoCambio!='' && valorMonto!=null && valorMonto!=''){
                            if(parseFloat(valorTipoCambio)>0 && parseFloat(valorMonto)>0){
                              insertarPagoCompra($idPagoCompra,$idCierre,$idCliente,valorMonto,valorMontoCambiado,valorMoneda,valorTipoCambio,valorFecha,valorObs,index);
                            }
                          }
                      }
                      
                      break;
                  case 9:
                      var valorFecha=$('#example2 > tbody > tr:eq(' + (index) + ')').find('td').eq(3).text();
                      var valorTipoCambio=$('#example2 > tbody > tr:eq(' + (index) + ')').find('td').eq(5).text();
                      var valorMonto=$('#example2 > tbody > tr:eq(' + (index) + ')').find('td').eq(7).text();
                      var valorMontoCambiado=$('#example2 > tbody > tr:eq(' + (index-1) + ')').find('td').eq(8).text();
                      var valorObs=$(this).closest('tr').find("input.input-sm").val();
                      if(valorObs==null || valorObs=='')
                          valorObs="ninguna"; 
                      
                      if(valorTipoCambio!=null && valorTipoCambio!='' && valorMonto!=null && valorMonto!=''){
                        if(parseFloat(valorTipoCambio)>0 && parseFloat(valorMonto)>0){
                          insertarPagoCompra($idPagoCompra,$idCierre,$idCliente,valorMonto,valorMontoCambiado,valorMoneda,valorTipoCambio,valorFecha,valorObs,index);
                        }
                      } 
                      break;
                    }
            }

 
            if($idBarraCompra==null || $idBarraCompra=='' || $idBarraCompra==undefined){
               
               
            }else{ 
              switch(col) {
                case 0:
                    var $valorAnterior=$(this).closest('tr').find("input.input-sm").val();
                       if($valorAnterior.indexOf('.')!=-1){
                          console.log("si hay punto");
                        }else{
                          var cantidadCeros=String(Math.pow(10,parseInt(conf[col]))).replace("1",".");
                          console.log("valor anterior "+$valorAnterior);
                          $(this).closest('tr').find("input.input-sm").val(String($valorAnterior)+String(cantidadCeros));
                          console.log(cantidadCeros);
                          console.log(col);
                        }


                    var valor1=$(this).closest('tr').find("input.input-sm").val();
                    var PesoBrutoInicial=parseFloat(valor1);
                    var PesoBrutoGrs=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(1).text();
                    var fechaCierre="";
                    var PesoCierre=0;
                    var precio=0;
                    var ley=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(3).text();
                    var descuento=0;
                    var idBarraCompra=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(6).text();
                    if(PesoBrutoInicial!=0){
                        if(PesoBrutoGrs!=null || PesoBrutoGrs!=""){
                            PesoBrutoGrs=parseFloat($('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(1).text());
                            var operacion=(100-(PesoBrutoGrs*100)/PesoBrutoInicial);
                            var punto=String(operacion).indexOf(".")+1;
                            if(conf[2]==0)
                              $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(2).text(parseInt(operacion));
                            else{
                               if(conf[2]>0 && punto==0){
                                    $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(2).text(parseInt(operacion));
                               }
                               else{
                                  if(conf[2]>0 && punto>0)
                                  {
                                      $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(2).text(String(operacion).substring(0,parseInt(conf[2])+punto));
                                  }
                              }
                            }  
                        }
                      actualizarBarraCompra(idBarraCompra,PesoBrutoInicial,PesoBrutoGrs,PesoCierre,fechaCierre,precio,ley,descuento);
                    }
                    calcularSuma();
                    break;

                case 1:

                    var $valorAnterior=$(this).closest('tr').find("input.input-sm").val();
                     if($valorAnterior.indexOf('.')!=-1){
                        console.log("si hay punto");
                      }else{
                        var cantidadCeros=String(Math.pow(10,parseInt(conf[col]))).replace("1",".");
                        console.log("valor anterior "+$valorAnterior);
                        $(this).closest('tr').find("input.input-sm").val(String($valorAnterior)+String(cantidadCeros));
                        console.log(cantidadCeros);
                        console.log(col);
                      }


                    var valor1=$(this).closest('tr').find("input.input-sm").val();
                    if(valor1!=""){
                        var PesoBrutoGrs=parseFloat(valor1);
                        var PesoBrutoInicial=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(0).text();
                        var fechaCierre="";
                        var PesoCierre=0;
                        var precio=0;
                        var ley=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(3).text();
                        var descuento=0;
                        var idBarraCompra=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(6).text();
                        if(PesoBrutoInicial!=0)
                        {
                            if(PesoBrutoGrs!=null || PesoBrutoGrs!="")
                            {
                                PesoBrutoGrs=parseFloat(PesoBrutoGrs);
                                var operacion=(100-(PesoBrutoGrs*100)/PesoBrutoInicial);
                                var punto=String(operacion).indexOf(".")+1;
                                if(conf[2]==0)
                                    $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(2).text(parseInt(operacion));
                                else
                                {
                                   if(conf[2]>0 && punto==0)
                                   {
                                        $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(2).text(parseInt(operacion));
                                   }
                                   else
                                   {
                                    if(conf[2]>0 && punto>0)
                                    {
                                        $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(2).text(String(operacion).substring(0,parseInt(conf[2])+punto));
                                    }
                                    }
                                } 
                              actualizarBarraCompra(idBarraCompra,PesoBrutoInicial,PesoBrutoGrs,PesoCierre,fechaCierre,precio,ley,descuento);
                            }
                        }

                        var Ley=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(3).text();
                        if(Ley!="")
                        {
                            Ley=parseFloat($('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(3).text());
                            var operacion=((Ley/100)*PesoBrutoGrs);
                            var punto=String(operacion).indexOf(".")+1;
                            if(conf[4]==0)
                                    $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(4).text(parseInt(operacion));
                                else
                                {
                                   if(conf[4]>0 && punto==0)
                                   {
                                        $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(4).text(parseInt(operacion));
                                   }
                                   else
                                   {
                                    if(conf[4]>0 && punto>0)
                                    {
                                        $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(4).text(String(operacion).substring(0,parseInt(conf[2])+punto));
                                    }
                                    }
                                } 
                            //$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(4).text(String(operacion).substring(0,parseInt(conf[4])+punto));
                        }
                            //calcular cierre adicional
                    }

                    calcularSuma();
                    break;

                case 3:

                      var $valorAnterior=$(this).closest('tr').find("input.input-sm").val();
                       if($valorAnterior.indexOf('.')!=-1){
                          console.log("si hay punto");
                        }else{
                          var cantidadCeros=String(Math.pow(10,parseInt(conf[col]))).replace("1",".");
                          console.log("valor anterior "+$valorAnterior);
                          $(this).closest('tr').find("input.input-sm").val(String($valorAnterior)+String(cantidadCeros));
                          console.log(cantidadCeros);
                          console.log(col);
                        }



                     var valor1=$(this).closest('tr').find("input.input-sm").val();
                     if(valor1!=""){
                        var Ley=parseFloat(valor1);
                        var PesoBrutoGrs=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(1).text();
                        if(PesoBrutoGrs!="")
                        {
                            PesoBrutoGrs=parseFloat($('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(1).text());

                            var PesoBrutoInicial=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(0).text();
                            var fechaCierre="";
                            var PesoCierre=0;
                            var precio=0;
                            var descuento=0;
                            var idBarraCompra=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(6).text();
                            var operacion=((Ley/100)*PesoBrutoGrs);
                            var punto=String(operacion).indexOf(".")+1;
                            if(conf[4]==0)
                                $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(4).text(parseInt(operacion));
                            else
                            {
                               if(conf[4]>0 && punto==0)
                               {
                                    $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(4).text(parseInt(operacion));
                               }
                               else
                               {
                                if(conf[4]>0 && punto>0)
                                {
                                    $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(4).text(String(operacion).substring(0,parseInt(conf[4])+punto));
                                }
                                }
                            } 

                            var PesoFinoGrs=$('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(4).text();
                            var PesoFinoCierreOz=truncateDecimals((parseFloat(PesoFinoGrs)/31.1035),parseInt(conf[5]));
                            $('#example > tbody > tr:eq(' + (index) + ')').find('td').eq(5).text(PesoFinoCierreOz);
                            
                            actualizarBarraCompra(idBarraCompra,PesoBrutoInicial,PesoBrutoGrs,PesoCierre,fechaCierre,precio,Ley,descuento);
                        }
                    }
                    calcularSuma();
                    break;
                        
                 }

              }
          }
           
       });
    
      
         $("#alert_aceptar1").click(function(){
              mostrar_progress1();
              var idGlobal=idCCGlobal.split('_');
              var idCliente=idGlobal[0];
              var idCCC=idGlobal[1];
              actualizarAnuladoCierre(idCCC,idCliente);
          });


       $(document).on('click', '.eliminar', function() {
            var idPago=$(this).attr("data-value");
            var index=$(this).closest('tr').index();
        

            if(idPago!=-1){

              bootbox.confirm({
                  message: "¿Esta por eliminar un pago adelantado. Desea continuar?",
                  className: 'bb-alternate-modal',
                  buttons: {
                      confirm: {
                          label: '<i class="fa fa-check"></i> Aceptar',
                          className: 'btn-success'
                      },
                      cancel: {
                          label: '<i class="fa fa-times"></i> Cancelar',
                          className: 'btn-danger'
                      }
                  },
                  callback: function (result) {
                       if(result) {
                          dialog=bootbox.dialog({
                              message: '<p><i class="fa fa-spin fa-spinner"></i> Realizando Operación...</p>'
                          });

                          eliminarPago(idPago,index);
                      }
                       
                  }
              });
 
              
                
            }else{
                $('#example2 > tbody > tr:eq(' + (index) + ')').remove(); 
            }
        });


        $(document).on('click', '.imprimir', function() {
            var idPago=$(this).attr("data-value"); 
            var index=$(this).closest('tr').index();
            $("#idPagoAdelantado").val(idPago); 
            if(idPago!=-1){
                imprimirPago(idPago,index); 
            }
        });


        $(document).on('click', '.enviar', function() {
            var idPago=$(this).attr("data-value"); 
            var index=$(this).closest('tr').index();
            if(idPago!=-1){

               bootbox.confirm({
                  message: "¿Esta seguro que desea enviar a caja? El monto afectara al saldo de la caja principal",
                  className: 'bb-alternate-modal',
                  buttons: {
                      confirm: {
                          label: '<i class="fa fa-check"></i> Aceptar',
                          className: 'btn-success'
                      },
                      cancel: {
                          label: '<i class="fa fa-times"></i> Cancelar',
                          className: 'btn-danger'
                      }
                  },
                  callback: function (result) {
                       if(result) {
                          dialog=bootbox.dialog({
                              message: '<p><i class="fa fa-spin fa-spinner"></i> Realizando Operación...</p>'
                          });

                          registrarMovimientoCaja(idPago,index);
                      }
                       
                  }
              });

              //registrarMovimientoCaja(idPago,index);
              //imprimirPago(idPago,index); 
            } 
        });
 

        function mostrar_progress2(){
            $(".grp_alr2").hide();
            $(".grp_pgs2").show();
        };

        function ocultarmodalPago(){
            $('#modal_confirmacion2').modal('hide');
            $(".grp_pgs2").hide();
            $(".grp_alr2").show();
        };


        function mostrar_progress1(){
          $(".grp_alr1").hide();
          $(".grp_pgs1").show();
        };

        function ocultarmodal(){
          $('#modal_confirmacion1').modal('hide');
          $(".grp_pgs1").hide();
          $(".grp_alr1").show();
        };

        var sumaGlobalPesoFinoCierreOZ=0;

        function calcularSuma(){ 
          var sumaTotalPesoBrutoInicial=0;
          var sumaPesoBrutoGrs=0;
          var sumaMerma=0;
          var sumaLey=0
          var sumaPesoFinoGrs=0
          var sumaPesoFinoCierreOz=0;
         
          var indicePromedio=0;
          var indiceLey=0;
          var indiceMerma=0;

          var rows = $('#example > tbody > tr');
          for(var i=0;i<rows.length-2;i++){
            var PesoBrutoInicial=$(rows[i]).find("td:eq(0)").text();
            var PesoBrutoGrs=$(rows[i]).find("td:eq(1)").text();
            var merma= $(rows[i]).find("td:eq(2)").text();
            var Ley=$(rows[i]).find("td:eq(3)").text();
            var PesoFinoGrs=$(rows[i]).find("td:eq(4)").text(); 
            var PesoFinoCierreOz=$(rows[i]).find("td:eq(5)").text();
            
            if(PesoBrutoInicial!=""){
              sumaTotalPesoBrutoInicial=sumaTotalPesoBrutoInicial+parseFloat(PesoBrutoInicial);
            }

            if(PesoBrutoGrs!=""){
              sumaPesoBrutoGrs=sumaPesoBrutoGrs+parseFloat(PesoBrutoGrs);
            }

            if(merma!="" && parseFloat(merma)>0){
              sumaMerma=sumaMerma+parseFloat(merma);
              indiceMerma=indiceMerma+1;
            }

            if(Ley!="" && parseFloat(Ley)>0){
              sumaLey=sumaLey+parseFloat(Ley);
              indiceLey=indiceLey+1;
            }

            if(PesoFinoGrs!=""){
              sumaPesoFinoGrs=sumaPesoFinoGrs+parseFloat(PesoFinoGrs);
            }
 

            if(PesoFinoCierreOz!=""){
                sumaPesoFinoCierreOz=sumaPesoFinoCierreOz+parseFloat(PesoFinoCierreOz);
            }     
          }

          // agregar suma

        $('#example > tbody > tr:eq(' + (rows.length-1) + ')').find('td').eq(0).text(sumaTotalPesoBrutoInicial.toFixed(conf[0]));
        $('#example > tbody > tr:eq(' + (rows.length-1) + ')').find('td').eq(1).text(sumaPesoBrutoGrs.toFixed(conf[1]));
        $('#example > tbody > tr:eq(' + (rows.length-1) + ')').find('td').eq(2).text(sumaMerma.toFixed(conf[2]));
        $('#example > tbody > tr:eq(' + (rows.length-1) + ')').find('td').eq(3).text(sumaLey.toFixed(conf[3]));
        $('#example > tbody > tr:eq(' + (rows.length-1) + ')').find('td').eq(4).text(sumaPesoFinoGrs.toFixed(conf[4]));
        $('#example > tbody > tr:eq(' + (rows.length-1) + ')').find('td').eq(5).text(sumaPesoFinoCierreOz.toFixed(conf[6]));
        $('#example1 > tbody > tr:eq(' + (0) + ')').find('td').eq(0).text(sumaPesoFinoCierreOz.toFixed(conf[6]));
        
        sumaGlobalPesoFinoCierreOZ=sumaPesoFinoCierreOz.toFixed(conf[6]);
        sumaGlobalPesoFinoCierreOZ=(sumaPesoFinoCierreOz.toFixed(conf[6])/31.1035).toFixed(conf[6]);
          // agregar promedios
          
        $('#example > tbody > tr:eq(' + (rows.length-2) + ')').find('td').eq(2).text((sumaMerma/indiceMerma).toFixed(conf[2]));
        $('#example > tbody > tr:eq(' + (rows.length-2) + ')').find('td').eq(3).text((sumaLey/indiceLey).toFixed(conf[3]));
        

        }



        $("#comboFiltro").change(function(){
            tipoO=0;
            var v=$(this).val();
            var datos=$("#comboFiltro :selected").text().split("/");
            loteGlobal=datos[0];
            $("#textClient").text("CLIENTE : "+datos[2]+" "+" LOTE : "+datos[0]);
            idCCGlobal=v;
            if(v!=-1){
              $("#textClient").removeClass("hidden");
              $("#hand").removeClass();
              $("#hand").prop("class","col-md-12");
              recuperarCierresCuentaCliente(v,tipoO);
            }else{
              $("#textClient").addClass("hidden");
              $("#textClient").text("");
              $("#hand").removeClass();
              $("#hand").prop("class","col-md-12 hidden");
            }
        });

        function actualizarBarraCompra(idBarraCompra,cantidadInicial,cantidad,cantidadCierre,fechaCierre,precio,ley,descuento){
                $.ajax({
                  url:'/ActualizarBarraCompra/',
                  data:{'idBarraCompra':idBarraCompra,'cantidadInicial':cantidadInicial,'cantidad':cantidad,'cantidadCierre':cantidadCierre,'fechaCierre':fechaCierre,'precio':precio,'ley':ley,'descuento':descuento},
                  type:'GET',
                  dataType:'json',
                  success: function(data){
                    console.log(data);
                   
                  },
                  error: function(xhr, textStatus, errorThrown) {
                          console.log(xhr.responseText);
                  },
            }); 
          }


           function actualizarTipoCambio(idCierre,idCliente,tipoCambio){
                $.ajax({
                  url:'/ActualizarTipoCambio/',
                  data:{'idCierre':idCierre,'idCliente':idCliente,'tipoCambio':tipoCambio},
                  type:'GET',
                  dataType:'json',
                  success: function(data){
                    console.log(data);
                   
                  },
                  error: function(xhr, textStatus, errorThrown) {
                          console.log(xhr.responseText);
                  },
            }); 
          }



         function actualizarAnuladoCierre(idCierre,idCliente){
                $.ajax({
                  url:'/ActualizarAnuladoCierreCompraOperador/',
                  data:{'idCierre':idCierre,'idCliente':idCliente},
                  type:'GET',
                  dataType:'json',
                  success: function(data){
                    console.log(data);
                    if(data=='exito'){ 
                      window.location="/CuentasClientesCompra_operador/";
                    }else{

                      bootbox.alert({ 
                        message: "Error "+data,
                        className: 'bb-alternate-modal'
                      });

                      ocultarmodal();
                    }
                    
                  },
                  error: function(xhr, textStatus, errorThrown) {
                          console.log(xhr.responseText);
                  },
            }); 
          }


        function insertarPagoCompra(idPago,idCierre,idCliente,monto,montoCambiado,moneda,tipoCambio,fecha,observaciones,index){
                $.ajax({
                  url:'/InsertarControlPagoOperador/',
                  data:{'idPago':idPago,'idCierre':idCierre,'idCliente':idCliente,'monto':monto,'montoTotalCuenta':0,'moneda':moneda,'tipoCambio':tipoCambio,'fecha':fecha,'observaciones':observaciones},
                  type:'GET',
                  dataType:'json',
                  success: function(data){
                    console.log("resultado"+data);

                    var numFilas=$('#example2 tr').length;
                    var numFilaTope=$('#example2 tr').length-1;
                    var SumaAPagar=0;
                    if(data!='fail'){

                      $('#example2 > tbody > tr:eq(' + (index) + ')').find('button.eliminar').attr('data-value',data);
                      $('#example2 > tbody > tr:eq(' + (index) + ')').find('button.imprimir').attr('data-value',data);
                      $('#example2 > tbody > tr:eq(' + (index) + ')').find('button.enviar').attr('data-value',data); 

                      /*alert(montoCambiado);
                      alert(monto);
                      alert(tipoCambio);
                      alert(moneda);*/

                      if(moneda=='soles'){
                        var montoC=montoCambiado-(monto/tipoCambio);
                        $('#example2 > tbody > tr:eq(' + (index) + ')').find('td').eq(4).html("($)"+(monto/tipoCambio).toFixed(conf[10]));
                        $('#example2 > tbody > tr:eq(' + (index) + ')').find('td').eq(8).html(montoC.toFixed(conf[14]));
                        $('#example2 > tbody > tr:eq(' + (index) + ')').find('td').eq(6).text(moneda);
                      }else{
                        var montoC=montoCambiado-monto; 
                        $('#example2 > tbody > tr:eq(' + (index) + ')').find('td').eq(4).html("($)"+parseFloat(monto).toFixed(conf[10]));
                        $('#example2 > tbody > tr:eq(' + (index) + ')').find('td').eq(8).html(montoC.toFixed(conf[14]));
                        $('#example2 > tbody > tr:eq(' + (index) + ')').find('td').eq(6).text(moneda);
                      }

                      //actualizar las demas filas
                      var montoRecalculado=0
                      for(var i=index;i<numFilas;i++){
                          var valorTipoCambio=$('#example2 > tbody > tr:eq(' + (i) + ')').find('td').eq(5).text();
                          var valorMoneda=$('#example2 > tbody > tr:eq(' + (i) + ')').find('td').eq(6).text();
                          var valorMonto=$('#example2 > tbody > tr:eq(' + (i) + ')').find('td').eq(7).text();
                          var valorMontoCambiado=$('#example2 > tbody > tr:eq(' + (i-1) + ')').find('td').eq(8).text();
                          
                          if(valorMoneda=='soles'){
                            var montoC=valorMontoCambiado-(valorMonto/valorTipoCambio);
                            montoRecalculado=montoC; 
                            $('#example2 > tbody > tr:eq(' + (i) + ')').find('td').eq(8).html(truncateDecimals(montoC,conf[14]));//montoC.toFixed(conf[14]));   
                          }else{
                            var montoC=valorMontoCambiado- valorMonto;
                            montoRecalculado=montoC;
                            $('#example2 > tbody > tr:eq(' + (i) + ')').find('td').eq(8).html(truncateDecimals(montoC,conf[14]));//montoC.toFixed(conf[14]));
                          }
                      }
                        
                      $('#example2 > tbody > tr:eq(' + (numFilaTope-1) + ')').find('td').eq(8).html(truncateDecimals(montoRecalculado,conf[14]));//montoRecalculado.toFixed(conf[14]));
                    

                    }else{
                      bootbox.alert({ 
                        message: "No se pudo guardar el Pago",
                        className: 'bb-alternate-modal'
                      });
                    }
                    
                  },
                  error: function(xhr, textStatus, errorThrown) {
                          console.log(xhr.responseText);
                  },
            });
          }



        truncateDecimals = function (number, digits) {
            var multiplier = Math.pow(10, digits),
                adjustedNum = number * multiplier,
                truncatedNum = Math[adjustedNum < 0 ? 'ceil' : 'floor'](adjustedNum);

            return truncatedNum / multiplier;
        };



        function recuperarCierres(){
                $.ajax({
                  url:'/RecuperarCuentasCierreAjaxOperador/',
                  type:'GET',
                  dataType:'json',
                  success: function(data){
                    console.log(data);
                    var html ="";
                    $("#comboFiltro").html('');
                    html += '<option value="-1">Seleccione un cierre</option>';
                    for(var i=0;i<data.length;i++){
                        html += '<option value="'+data[i].pkCierre+'_'+data[i].pk+'">'+data[i].lote+'/'+data[i].fechaCierre+'/'+data[i].nombre+'</option>';
                    }
                    $('#comboFiltro').html(html);
                  },
                  error: function(xhr, textStatus, errorThrown) {
                          console.log(xhr.responseText);
                  },
            }); 
          }

        function recuperarCierresFiltro(parametro){
                $.ajax({
                  data:{'parametro':parametro},
                  url:'/RecuperarCuentasCierreFiltroAjaxOperador/',
                  type:'GET',
                  dataType:'json',
                  success: function(data){
                    console.log(data);
                    var html ="";
                    $("#comboFiltro").html('');
                      if (data.length>0){
                       html += '<option value="-1">Seleccione un cierre</option>';
                     }else{
                       html += '<option value="-1">No hay Cierres existentes</option>';
                     }
                     
                    for(var i=0;i<data.length;i++){
                        html += '<option value="'+data[i].pkCierre+'_'+data[i].pk+'">'+data[i].lote+'/'+data[i].fechaCierre+'/'+data[i].nombre+'</option>';
                    }
                    $('#comboFiltro').html(html);
                  },
                  error: function(xhr, textStatus, errorThrown) {
                          console.log(xhr.responseText);
                  },
            }); 
          }



          function eliminarPago(idPago,index){
                $.ajax({
                  url:'/eliminarPagoCompra/',
                  data:{'idPago':idPago},
                  type:'GET',
                  dataType:'text',
                  success: function(data){
                    console.log(data);
                    if(data=='exito'){
                      
                      bootbox.alert({ 
                        message: "Operación exitosa. Pago adelantado eliminado",
                        className: 'bb-alternate-modal'
                      });

                      dialog.modal('hide'); 
                      $('#example2 > tbody > tr:eq(' + (index) + ')').remove();

                      var numFilas=$('#example2 tr').length;
                      var numFilaTope=$('#example2 tr').length-1;

                      if(numFilas>3){
                      
                        var montoRecalculado=0
                        for(var i=index;i<numFilas;i++){
                            var valorSaldoAPagar=$('#example2 > tbody > tr:eq(' + (i) + ')').find('td').eq(8).text();   
                            montoRecalculado=montoRecalculado+parseFloat(valorSaldoAPagar); 
                        }
                          
                        $('#example2 > tbody > tr:eq(' + (numFilaTope-1) + ')').find('td').eq(8).html(truncateDecimals(montoRecalculado,conf[14]));//montoRecalculado.toFixed(conf[14]));
                      }else{
                        var valorSaldoAPagar=$('#example2 > tbody > tr:eq(' + (0) + ')').find('td').eq(8).text();  
                        $('#example2 > tbody > tr:eq(' + (numFilaTope-1) + ')').find('td').eq(8).html(valorSaldoAPagar);
                      }


                    }else{
                      
                      bootbox.alert({ 
                        message: "No se pudo eliminar el Pago",
                        className: 'bb-alternate-modal'
                      });

                      dialog.modal('hide');
                    }

                  },
                  error: function(xhr, textStatus, errorThrown) {
                    console.log(xhr.responseText);
                  },
            }); 
          }


          function imprimirPago(idPago,index){
            //$('#platillaI').printThis();
                $.ajax({
                  url:'/imprimirPagoCompra/',
                  data:{'idPago':idPago},
                  type:'GET',
                  dataType:'json',
                  success: function(data){
                    console.log(data);
                    $("#pFecha").text(data[0].fecha);
                    $("#pCliente").text(data[0].cliente);
                    $("#pLote").text(data[0].lote);
                    if(data[0].moneda=='soles'){
                      $("#pMonto").text("S/. "+data[0].montoPagado);
                    }else{
                      $("#pMonto").text("$/. "+data[0].montoPagado);
                    }

                    $("#txtFechaOperacion").val(data[0].fecha);
                    $("#txtCliente").val(data[0].cliente);
                    $("#txtLote").val(data[0].lote);
                    if(data[0].moneda=='soles'){
                      $("#txtMonto").val("S/. "+data[0].montoPagado);
                    }else{
                      $("#txtMonto").val("$/. "+data[0].montoPagado);
                    }

                    $("#pObservacion").text(data[0].observaciones); 
                    $("#txtObservacion").val(data[0].observaciones);

                    $("#modal_pago_adelantado").modal("show");


                    //$('#platillaI').printThis();
                  },
                  error: function(xhr, textStatus, errorThrown) {
                    console.log(xhr.responseText);
                  },
            }); 
          }


           function registrarMovimientoCaja(idPago,index){
            //$('#platillaI').printThis();
                $.ajax({
                  url:'/registrarMovimientoCajaOperador/',
                  data:{'idPago':idPago,'cierreDetalle':$("#comboFiltro :selected").text()},
                  type:'GET',
                  dataType:'json',
                  success: function(data){
                    if(data=='exito'){
                      var btnEnv=$('#example > tbody > tr:eq(' + (index) + ')').find('button.enviar').remove();
                      bootbox.alert({ 
                        message: "Operación exitosa. Monto enviado a caja",
                        className: 'bb-alternate-modal'
                      });

                      dialog.modal('hide'); 
                    }else{
                      bootbox.alert({ 
                        message: "Ocurrio un Error. La operación falló",
                        className: 'bb-alternate-modal'
                      });

                      dialog.modal('hide'); 
                    }
                    console.log(data);
                    
                  },
                  error: function(xhr, textStatus, errorThrown) {
                    console.log(xhr.responseText);
                  },
            }); 
          }


          function eliminarMovimientoCaja(idPago,index){
            //$('#platillaI').printThis();
                $.ajax({
                  url:'/eliminarMovimientoCaja/',
                  data:{'idPago':idPago,'cierreDetalle':$("#comboFiltro :selected").text()},
                  type:'GET',
                  dataType:'json',
                  success: function(data){
                    if(data=='exito'){
                      var btnEnv=$('#example > tbody > tr:eq(' + (index) + ')').find('button.enviar').removeClass();
                      btnEnv.attr("class","btn traer btn-warning btn-icon-text waves-effect");
                      btnEnv.text("");
                      btnEnv.append("<i class='fa fa-reply'></i> Traer a Caja"); 
                    }
                    console.log(data);
                    
                  },
                  error: function(xhr, textStatus, errorThrown) {
                    console.log(xhr.responseText);
                  },
            }); 
          }


        function recuperarCierresCuentaCliente(idCC,tipo){
              
              dialog=bootbox.dialog({
                  message: '<p><i class="fa fa-spin fa-spinner"></i> Cargando datos. Espere un momento...</p>'
              });

              $.ajax({
                url:'/RecuperarCuentasCierreClienteAjax/',
                data:{'idCC':idCC,'tipo':tipo},
                type:'GET',
                dataType:'json',
                success: function(data){
                  sumaGlobalPesoFinoCierreOZ=data.sumaTotal;
                  $("#example").html('');
                  $("#example1").html('');
                  $("#example2").html('');
                  $("#example").append(data.lista);
                  $("#example1").append(data.listaO);
                  $("#example2").append(data.listaAdelanto);
                  conf=data.lista1[0].split("/");
                  tipoO=parseInt(data.tipoOperacion);
                   
                  //$('.editable').editable();
                   
                  $('.editable-click').editable({
                      type: 'text', 
                      inputclass:'input-sm lebar'
                  }); 

                  if(parseInt(data.tipoOperacion)==1){
                    $('#rbTipoOperacionT').prop("checked",true);
                  }else{
                    $('#rbTipoOperacionR').prop("checked",true);
                  }

                  /*$('.editable-header').editable({  
                      value:parseInt(data.tipoOperacion),  
                      source: [
                            {value: 1, text: '(truncar)'},
                            {value: 2, text: '(redondear)'}
                         ]
                  });*/

                  $("#idNuevaFila").click(function(){
                      var index= $("#example1 tr").length;
                      addRow(index);
                  });
                  
                  $('.clickedit').numeric();
 
                        
                  dialog.modal('hide');
                  

                },
                error: function(xhr, textStatus, errorThrown) {
                        console.log(xhr.responseText);
                },
            }); 
          }

          function getDateNow() {
            function pad(s) { return (s < 10) ? '0' + s : s; }
            var d = new Date();
            return [d.getFullYear(), pad(d.getMonth()+1), pad(d.getDate())].join('-');
          }

          function calcularSumaOz(){
            var numFilas=$('#example2 > tbody > tr').length;
            var rows = $('#example1 > tbody > tr');
            var sumaOz=0;
            var sumaTotal=0;


            for(var i=0;i<rows.length;i++) {
                var valorOz=($(rows[i]).find('input.oz').val());
                var valorTotal=($(rows[i]).find('span.spanTotal').text());
                if(!isNaN(valorOz) && valorOz.trim()!=""){
                  console.log(valorOz);
                  sumaOz=sumaOz+parseFloat(valorOz);
                }

                if(!isNaN(valorTotal)  && valorTotal.trim()!=""){
                   sumaTotal=sumaTotal+parseFloat(valorTotal);
                }
            }

            $('#example1 > tbody > tr:eq(' + (rows.length-1) + ')').find('td').eq(3).text(sumaOz);
            $('#example1 > tbody > tr:eq(' + (rows.length-1) + ')').find('td').eq(7).text(sumaTotal);

            $('#example2 > tbody > tr:eq(' + (0) + ')').find('td').eq(8).text(sumaTotal);

            if(sumaOz>sumaGlobalPesoFinoCierreOZ){
              $('#example1 > tbody > tr:eq(' + (rows.length-1) + ')').find('td').eq(1).text("Suma Excedente : ");
              $('#example1 > tbody > tr:eq(' + (rows.length-1) + ')').find('td').eq(2).text(String(truncateDecimals(sumaGlobalPesoFinoCierreOZ-sumaOz,2)));
            }else{
               $('#example1 > tbody > tr:eq(' + (rows.length-1) + ')').find('td').eq(1).text("");
              $('#example1 > tbody > tr:eq(' + (rows.length-1) + ')').find('td').eq(2).text("");
            }
 
            var montoRecalculado=0;
            montoRecalculado=sumaTotal;
            //alert(numFilas);
            if(numFilas<=2){
               $('#example2 > tbody > tr:eq(' + (numFilas-1) + ')').find('td').eq(8).text(montoRecalculado);
            }else{
              for(var j=1;j<numFilas-1;j++) {
                var moneda=$('#example2 > tbody > tr:eq(' + (j) + ')').find('td').eq(6).text();
                if(moneda=="dolares"){
                  montoRecalculado=montoRecalculado-parseFloat($('#example2 > tbody > tr:eq(' + (j) + ')').find('td').eq(7).text());
                }else{
                  var montoD=parseFloat($('#example2 > tbody > tr:eq(' + (j) + ')').find('td').eq(7).text());
                  var valorTipoCambio=parseFloat($('#example2 > tbody > tr:eq(' + (j) + ')').find('td').eq(5).text());
                  var montoRecalculado=montoRecalculado-(montoD/valorTipoCambio);
                }
                $('#example2 > tbody > tr:eq(' + (j) + ')').find('td').eq(8).text(montoRecalculado.toFixed(2));
              }
              $('#example2 > tbody > tr:eq(' + (numFilas-1) + ')').find('td').eq(8).text(montoRecalculado.toFixed(2));
            }
            
          }

           

          function addRow(index){
           var html="<tr class='even warning'><td><span class='spanE'></span></td><td><button type='button' id='idEliminarFila' class='btn "+
                    " btn-danger btn-sm eliminarFila'><i class='fa fa-times'></i> Eliminar</button></td>"+
                    "<td><span class='editable editable-click fecha' id='tbfecha' data-type='date' data-format='YYYY-MM-DD'"+ 
                    " data-viewformat='YYYY-MM-DD' style='display: inline;'>"+getDateNow()+"</span></td>"+ 
                    "<td><input class='clickedit oz' value='0.00' type='text'/>"+ 
                    "</td><td><input class='clickedit poz' value='0.00' type='text' />"+
                    "</td><td><input class='clickedit desc' value='0.00' type='text' />"+
                    "</td><td><span class='spanPCD'>0"+
                    "</span></td>"+"<td><span class='spanTotal'>0</span></td><td hidden><span class='spanId'>-1</span></td></tr>"
                    //$('#example1 > tbody > tr:eq(' + (index) + ')').after(html);
                    $('#example1 > tbody > tr:eq(' + (index-3) + ')').after(html);
                     
                   $('.editable').editable();  
                   $('.clickedit').numeric(); 
  
          }




            $(document).on('keyup', '.oz', function(e) {
                if(e.keyCode==13){
                  $(this).closest('tr').find("input.poz").focus();
                }
            });


            $(document).on('keyup', '.poz', function(e) {
                if(e.keyCode==13){
                  $(this).closest('tr').find("input.desc").focus();
                }
            });

          


          $(document).on('change', '.oz', function() {
              var valorId=$(this).closest('tr').find('span.spanId').text();
              var valorPCD=$(this).closest('tr').find('span.spanPCD').text();
              var valorPOZ=$(this).closest('tr').find('input.poz').val();
              var valorDesc=$(this).closest('tr').find('input.desc').val();
              var fecha=$(this).closest('tr').find('span.fecha').text(); 
              var valorOz=$(this).val();
              var total=parseFloat(valorPCD)*valorOz;
              $(this).closest('tr').find('span.spanTotal').text(truncateDecimals(total,2)); 

              var idGlobal=idCCGlobal.split('_');
              var idCliente=idGlobal[0];
              var idCCC=idGlobal[1];

              actualizarBarraDivision(valorId,fecha,idCliente,idCCC,valorOz,valorPOZ,valorDesc,$(this).closest('tr'));
           });



          $(document).on('change', '.poz', function() {
              var valorId=$(this).closest('tr').find('span.spanId').text();
              var valorOz=$(this).closest('tr').find('input.oz').val();
              var valorDesc=$(this).closest('tr').find('input.desc').val();
              var fecha=$(this).closest('tr').find('span.fecha').text(); 
              var valorPOZ=$(this).val();
              var descuento=parseFloat(valorPOZ)*(parseFloat(valorDesc)/100);
              var precioDescuento=parseFloat(valorPOZ)-descuento;
              var total=parseFloat(valorOz)*precioDescuento;
              $(this).closest('tr').find('span.spanPCD').text(truncateDecimals(precioDescuento,2)); 
              $(this).closest('tr').find('span.spanTotal').text(truncateDecimals(total,2));

              var idGlobal=idCCGlobal.split('_');
              var idCliente=idGlobal[0];
              var idCCC=idGlobal[1];

              actualizarBarraDivision(valorId,fecha,idCliente,idCCC,valorOz,valorPOZ,valorDesc,$(this).closest('tr'));
           });
            

           $(document).on('change', '.desc', function() {
              var valorId=$(this).closest('tr').find('span.spanId').text();
              var valorOz=$(this).closest('tr').find('input.oz').val();
              var valorPOZ=$(this).closest('tr').find('input.poz').val();
              var fecha=$(this).closest('tr').find('span.fecha').text(); 
              var valorDesc=$(this).val();
              var descuento=parseFloat(valorPOZ)*(parseFloat(valorDesc)/100); 
              var precioDescuento=parseFloat(valorPOZ)-descuento;
              var total=parseFloat(valorOz)*precioDescuento;
              $(this).closest('tr').find('span.spanPCD').text(truncateDecimals(precioDescuento,2)); 
              $(this).closest('tr').find('span.spanTotal').text(truncateDecimals(total,2)); 

              var idGlobal=idCCGlobal.split('_');
              var idCliente=idGlobal[0];
              var idCCC=idGlobal[1];

              actualizarBarraDivision(valorId,fecha,idCliente,idCCC,valorOz,valorPOZ,valorDesc,$(this).closest('tr'));
           });


 

          function actualizarBarraDivision(idBarraDivision,fecha,idCliente,idCierre,onza,precioOnza,descuento,row){
            console.log("barra division"+idBarraDivision);
                $.ajax({
                  url:'/ActualizarBarraDivision/',
                  data:{'idBarraDivision':idBarraDivision,'fecha':fecha,'idCliente':idCliente,'idCierre':idCierre,'onza':onza,'precioOnza':precioOnza,'descuento':descuento},
                  type:'GET',
                  dataType:'json',
                  success: function(data){
                    if(data!='fail'){
                      row.find('span.spanId').text(data);
                    }else{
                      bootbox.alert("No se pudo registrar el dato");
                    }
                    //console.log("id de barra division "+data);
                   
                  },
                  error: function(xhr, textStatus, errorThrown) {
                          console.log(xhr.responseText);
                  },
            }); 
          }


          function eliminarRegistro(idR,index){
                $.ajax({
                  url:'/eliminarRegistroCompra/',
                  data:{'idR':idR},
                  type:'GET',
                  dataType:'text',
                  success: function(data){
                    console.log(data);
                    if(data=='exito'){
                      
                      bootbox.alert({ 
                        message: "Operación exitosa. Registro eliminado",
                        className: 'bb-alternate-modal'
                      });

                      dialog.modal('hide'); 
                      $('#example1 > tbody > tr:eq(' + (index) + ')').remove();
                      calcularSumaOz();
                    }else{
                      
                      bootbox.alert({ 
                        message: "No se pudo eliminar el Registro",
                        className: 'bb-alternate-modal'
                      });

                      dialog.modal('hide');
                    }

                  },
                  error: function(xhr, textStatus, errorThrown) {
                    console.log(xhr.responseText);
                  },
            }); 
          }


           $(document).on('click', '.eliminarFila', function() {
                var index1=$(this).closest('tr').index();
                var valorId=$(this).closest('tr').find('span.spanId').text();
                if(valorId!="-1"){
                  bootbox.confirm({
                      message: "¿Esta por eliminar el registro. Desea continuar?",
                      className: 'bb-alternate-modal',
                      buttons: {
                          confirm: {
                              label: '<i class="fa fa-check"></i> Aceptar',
                              className: 'btn-success'
                          },
                          cancel: {
                              label: '<i class="fa fa-times"></i> Cancelar',
                              className: 'btn-danger'
                          }
                      },
                      callback: function (result) {
                           if(result) {
                              dialog=bootbox.dialog({
                                  message: '<p><i class="fa fa-spin fa-spinner"></i> Realizando Operación...</p>'
                              });

                              eliminarRegistro(valorId,index1);
                          }
                           
                      }
                  });
                }else{
                  $('#example1 > tbody > tr:eq(' + (index1) + ')').remove();
                }
           });
 

    </script>
        <br>
      </div>
    </div>
</div>
{% endblock content1 %}